Dentalia has now been updated to 2.3 and a major update for Recycle is coming soon. We hope you enjoy the new features! Thanks for your patience!

Okay
  Public Ticket #3485108
Demande de fonctionnalité
Closed

Comments

  • noneti started the conversation

    Bonjour,

    Je rencontre un souci avec le plugin "Recycle Theme Plugin". Bien qu'il soit à jour, il ne supporte pas WordPress au-delà de la version 5.9. Actuellement, WordPress propose la version 6.3.1 et PHP en 8.4. pour les raison que vous connaissez il est important que le site soit a jour. Lorsque je mets à jour WordPress ou PHP, ce plugin provoque des erreurs et rend mon site inutilisable. Cependant, mes autres plugins et mon thème nécessitent des versions plus récentes de WordPress et PHP.

    Pouvez-vous mettre à jour ce plugin pour qu'il soit compatible avec les dernières versions de WordPress et PHP ?

    Erreur rencontrée :
    Deprecated: strpos(): Non-string needles will be interpreted as strings in the future... in /home/jurquetcti/www/wp-content/plugins/recycle-plugin/plugin-update-checker/Puc/v4p1/Plugin/UpdateChecker.php on line 454

    Merci d'avance pour votre aide.


  •  540
    OrionThemes replied

    Hi,

    We are preparing an update for Recycle and we'll switch to version 5 of the plugin-update-checker. It might take us a month or so to finish the theme update and properly test it. 

    There are couple of things that I noticed:

    1. The latest publicly available Recycle plugin version is using v4p6 version not v4p1, as I see in your error report URL. Please recheck if you are really using the latest Recycle Plugin version.
    The latest version of the plugin can be downloaded here:  https://orionthemes.com/downloads/recycle/recycle_plugin_2/recycle-plugin.zip

    The plugin version should always match the theme version. (theme v 2.1 uses plugin v 2.1). If there is a missmatch, it can happen that some of the theme options (which are in plugin) will not work in the theme...

    6868716294.png

    2. "Depreciated" is not really an error. It is a Warning, saying the functionality now works, but It will stop working at some point in the future. Normally these wornings don't display at all, unless you have WP_DEBUG set to true in WordPress wp-config.php file.
    Generally WP_DEBUG should be set to false for production, it is meant for development only. (it will also run faster if set to false). 

    4924583332.png

    I hope this helps.
    Kind regards

    Andrej